# NotesDatabaseService class

Stores and loads data form .SQLITE db

## Properties

database → Future <Database>
  Returns database
  read-only
hashCode → int
  The hash code for this object. [...]
  read-only, inherited
path ↔ String
  read / write
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

addNoteInDB (NotesModel newNote) → Future <NotesModel>
  Adds note in database
addNotificationInDB (NotificationModel newNote) → Future <NotificationModel>
  Adds notification in database
deleteNoteInDB (NotesModel noteToDelete) → Future <bool>
  Deletes note from database
deleteNotificationInDB (NotificationModel noteToDelete) → Future <bool>
  Deletes notification from database
getNotesFromDB () → Future <List <NotesModel>>
  Gets notes from DB
getNotificationForNote (int id) → Future <List <NotificationModel>>
  Gets notifications from specific note
getNotificationsFromDB () → Future <List <NotificationModel>>
  Gets notifications from DB
init () → Future
  Initializes database
noSuchMethod (Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
toString () → String
  Returns a string representation of this object.
  inherited
updateNoteInDB (NotesModel updatedNote) → Future
  Updates note in database
updateNotificationInDB (NotificationModel updatedNotification) → Future
  Updates notification in database

## Operators

operator == (Object other) → bool
  The equality operator. [...]
  inherited

## Static Properties

db → NotesDatabaseService
  final